@font-face {
    font-family: centuryGothic;
    src: url(centurygothic.ttf);
  }


:root{
    --primaryColor:#C80036;
    --primaryColorLight:hsl(344, 100%, 50%);
    --secondaryColor:#FF6969;
  }
body{
    margin: 0;
    padding: 0;
    color: hsl(0, 0%, 80%);
    font-family: centuryGothic;
    display: grid;
    grid-template-columns: 1fr 3fr;
    background-color: #1D1D1D;
    height: 100vh;
}

#channelList{
    padding-left: 0px;
    list-style-type: none;
}

#channelList>li{
    transition: 0.2s;
    border-radius: 7px;
    font-weight: 500;
    font-size: 30px;
    margin-bottom: 10px;
    padding: 10px;
}

#channelList>li:hover{
    transition: 0.2s;
    background-color: hsl(0,0%,30%);
}



#channelContainer{  
    padding-right: 10px;
    padding-left: 10px;

    background-color:hsl(0, 0%, 23%);
    
    height: 100%;
}



#messagesContainer{
    border-radius: 7px;
    background-color:hsl(0, 0%, 17%);
    padding: 0px;
    height: 100%;
    max-height: 100%;
    display: grid;
    grid-template-rows: 1fr 7fr 1fr;
}


#channelInfo{
    background-color: hsl(0,0%,20%);
    
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
    padding:10px;
    font-size: 20px;
    display: flex;
    justify-content: space-between;
}

#channelInfo .left{
    font-size: 30px;
}

.channelInfoButtons{

    margin-left: 10px;
    padding: 10px;
    text-align: center;
    border-radius: 7px;
    background-color: var(--primaryColor);
}

.channelInfoButtons:hover{
    transition: 0.2s;
    background-color: var(--primaryColorLight);
}

.channelInfoButtons:active{
    transition: 0.1s;
    background-color: hsl(344, 100%, 70%);
}

.right{
    
    gap: 10px;
    display: flex;
}

#messageInputContainer{
    display:grid;
    grid-template-columns: 3fr 1fr;
    background-color: hsl(0,0%,25%);
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
}

#messageBoxInput{
    transition: 0.2s;
    font-size: 27px;
    padding-left: 10px;
    font-family: centuryGothic;
    background-color: hsl(0,0%,20%);
    box-shadow: none;
    border: none;
    color: white;
}

#messageBoxInput:hover{
    transition: 0.2s;
    border: none;
    box-shadow: none;
}

#messageBoxInput:focus{
    transition: 0.2s;
    border:none;
    box-shadow: none;
    outline: none;
}

#messageBoxButton{
    color: var(--primaryColor);
    font-size: 27px;
    font-family: centuryGothic;
    transition: 0.2s;
    background-color: hsl(0, 0%,20%);
    border-bottom-right-radius: 7px;
    box-shadow: none;
    border: none;
}

#messageBoxButton:hover{
    transition: 0.2s;
    background-color: hsl(0,0%,25%);
}

#messageBoxButton:active{
    background-color: hsl(0,0%,30%);
}

.textBox{
    
    flex-grow: 0;
    background-color: hsl(0,0%,20%);
    padding-top: 0 ;
    border-radius: 7px;
    border-bottom-left-radius: 0px;
    padding-right: 10px;
    padding-bottom: 4px;
    padding-left: 10px;
    max-width: 70%;
}



h3{

    word-wrap: break-word;
    max-width: 100%;
    font-weight: 100;
}

.textBox *{

    margin: 0;
    margin-top: 1px;
}

.textBox p{

    color: var(--secondaryColor);
}

.userMessages{
    margin-right: 10px;
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 0px;
    align-self: flex-end;
}

#messages{
    overflow-y:scroll;
    height: 70vh;
    list-style-type: none;
    display: flex;
    gap: 10px;
    flex-direction: column;
    align-items: flex-start;
    width: 95%;
    padding-left: 10px;
    padding-bottom: 10px;
}

/* width */
#messages::-webkit-scrollbar {
    
    width: 20px;

  }
  
  /* Track */
#messages::-webkit-scrollbar-track {
    
    border-radius: 5px;
    background: hsl(0, 0%, 25%);
  }
  
  /* Handle */
#messages::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: #888;
  }
  
  /* Handle on hover */
#messages::-webkit-scrollbar-thumb:hover {
    background: #555;
  }

